Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.localization.manager.persistence.jdbc
Class LocalizationDelegate

    java.lang.Object
      |
      +--com.bea.netuix.application.localization.manager.persistence.jdbc.LocalizationDelegate

public class LocalizationDelegate
extends Object

Field Summary
`protected static Debug` | `debug`
`protected static Debug` | `localeCacheDebug`
`protected static Debug` | `localizationResourceCacheDebug`

Constructor Summary
`LocalizationDelegate()`

Method Summary
`static LocalizationResource` | `addLocalizationResource(Connection connection, LocalizationResource localizationResource, LocalizationIntersectionId localizationIntersectionId)`
`static LocalizationResource` | `cloneLocalizationResource(Connection connection, LocalizationIntersectionId localizationIntersectionId)` For every localization resource associated to this intersection id (one for each locale) create a copy with the title slightly mutated ("_" + original)
`static LocalizationLocale` | `createLocalizationLocale(Connection connection, LocalizationLocale localizationLocale)`
`static LocalizationResource` | `createLocalizationResource(Connection connection, LocalizationResource localizationResource)`
`static LocalizationResource` | `createLocalizationResource(Connection connection, LocalizationResource localizationResource, boolean getOrCreate)` Create a new localization resource.
`static void` | `deleteLocalizationLocale(Connection connection, LocalizationLocaleId localizationLocaleId)`
`static void` | `deleteLocalizationResource(Connection connection, LocalizationLocaleId localizationLocaleId, LocalizationIntersectionId localizationIntersectionId)`
`static LocalizationLocale` | `findBestMatch(Locale locale, LocalizationLocale[] localizationCandidates)`
`static LocalizationLocale` | `getCreateLocalizationLocale(Connection connection, Locale locale, String encoding)`
`static DesktopDefinitionId` | `getDesktopDefinitionId(Connection connection, LocalizationIntersectionId lid)`
`static LocalizationLocale` | `getLocalizationLocale(Connection connection, Locale locale)`
`static LocalizationLocale` | `getLocalizationLocale(Connection connection, LocalizationLocaleId localizationLocaleId)`
`static LocalizationLocale` | `getLocalizationLocaleExact(Connection connection, Locale locale)`
`static LocalizationLocale[]` | `getLocalizationLocales(Connection connection)`
`static LocalizationResource` | `getLocalizationResource(Connection connection, CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId)`
`static LocalizationResource[]` | `getLocalizationResources(Connection connection)`
`static LocalizationResource[]` | `getLocalizationResources(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static LocalizationResource[]` | `getLocalizationResources(Connection connection, LocalizationLocaleId llId)`
`static String` | `getLocalizationResourceType(Connection connection, LocalizationIntersectionId liId)`
`static LocalizationResourceView` | `getLocalizationResourceView(Connection connection, CustomizationContext customizationContext, LocalizationIntersectionId intersectionId)`
`static Locale[]` | `getMatchingSupportedLocales(Connection connection, Locale[] locales)`
`static PortalDefinition` | `getPortal(Connection connection, LocalizationIntersectionId lid)`
`static PortalDefinition` | `getPortalDefinition(Connection connection, String webAppName, PortalPath portalPath)`
`static String` | `getWebAppNameForBook(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForLayout(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForLookAndFeel(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForMenu(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForPage(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForPortlet(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static String` | `getWebAppNameForShell(Connection connection, LocalizationIntersectionId localizationIntersectionId)`
`static LocalizationResource` | `updateChangeLocalizationResource(Connection connection, LocalizationResource localizationResource)`
`static void` | `updateLocalizationLocale(Connection connection, LocalizationLocale localizationLocale)`
`static void` | `updateLocalizationResource(Connection connection, LocalizationResource localizationResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

### localizationResourceCacheDebug

    protected static Debug localizationResourceCacheDebug

### localeCacheDebug

    protected static Debug localeCacheDebug

Constructor Detail

### LocalizationDelegate

    public LocalizationDelegate()

Method Detail

### getLocalizationResourceView

    public static LocalizationResourceView getLocalizationResourceView(Connection connection,
                                                                       CustomizationContext customizationContext,
                                                                       LocalizationIntersectionId intersectionId)

### getLocalizationResources

    public static LocalizationResource[] getLocalizationResources(Connection connection,
                                                                  LocalizationIntersectionId localizationIntersectionId)

### getLocalizationResources

    public static LocalizationResource[] getLocalizationResources(Connection connection)

### getLocalizationResource

    public static LocalizationResource getLocalizationResource(Connection connection,
                                                               CustomizationContext customizationContext,
                                                               LocalizationIntersectionId localizationIntersectionId)

### createLocalizationResource

    public static LocalizationResource createLocalizationResource(Connection connection,
                                                                  LocalizationResource localizationResource)
                                                           throws MissingDataException

    `MissingDataException`

### createLocalizationResource

    public static LocalizationResource createLocalizationResource(Connection connection,
                                                                  LocalizationResource localizationResource,
                                                                  boolean getOrCreate)
                                                           throws MissingDataException

  Create a new localization resource. Since the primary key for the localization resource is made of the locale_id and the intersection_id, this method will generate at leeast a new one of these.

  Parameters:
    `connection` -
    `localizationResource` -
    `getOrCreate` - if false always creates a new LocalizationResource
  Returns:
    a reference the LocalizationResource
  Throws:
    `MissingDataException`

### addLocalizationResource

    public static LocalizationResource addLocalizationResource(Connection connection,
                                                               LocalizationResource localizationResource,
                                                               LocalizationIntersectionId localizationIntersectionId)
                                                        throws MissingDataException

    `MissingDataException`

### updateLocalizationResource

    public static void updateLocalizationResource(Connection connection,
                                                  LocalizationResource localizationResource)

### deleteLocalizationResource

    public static void deleteLocalizationResource(Connection connection,
                                                  LocalizationLocaleId localizationLocaleId,
                                                  LocalizationIntersectionId localizationIntersectionId)
                                           throws ObjectNotFoundException

    `ObjectNotFoundException`

### cloneLocalizationResource

    public static LocalizationResource cloneLocalizationResource(Connection connection,
                                                                 LocalizationIntersectionId localizationIntersectionId)

  For every localization resource associated to this intersection id (one for each locale) create a copy with the title slightly mutated ("_" + original)

  Parameters:
    `connection` -
    `localizationIntersectionId` -
  Returns:
    the new localization resource with the ne intersection id

### updateChangeLocalizationResource

    public static LocalizationResource updateChangeLocalizationResource(Connection connection,
                                                                        LocalizationResource localizationResource)
                                                                 throws MissingDataException

    `MissingDataException`

### getMatchingSupportedLocales

    public static Locale[] getMatchingSupportedLocales(Connection connection,
                                                       Locale[] locales)

### getLocalizationLocales

    public static LocalizationLocale[] getLocalizationLocales(Connection connection)

### getLocalizationLocale

    public static LocalizationLocale getLocalizationLocale(Connection connection,
                                                           Locale locale)

### getLocalizationLocaleExact

    public static LocalizationLocale getLocalizationLocaleExact(Connection connection,
                                                                Locale locale)

### getLocalizationLocale

    public static LocalizationLocale getLocalizationLocale(Connection connection,
                                                           LocalizationLocaleId localizationLocaleId)

### getCreateLocalizationLocale

    public static LocalizationLocale getCreateLocalizationLocale(Connection connection,
                                                                 Locale locale,
                                                                 String encoding)

### deleteLocalizationLocale

    public static void deleteLocalizationLocale(Connection connection,
                                                LocalizationLocaleId localizationLocaleId)
                                         throws ObjectNotFoundException

    `ObjectNotFoundException`

### updateLocalizationLocale

    public static void updateLocalizationLocale(Connection connection,
                                                LocalizationLocale localizationLocale)

### createLocalizationLocale

    public static LocalizationLocale createLocalizationLocale(Connection connection,
                                                              LocalizationLocale localizationLocale)
                                                       throws MissingDataException

    `MissingDataException`

### getDesktopDefinitionId

    public static DesktopDefinitionId getDesktopDefinitionId(Connection connection,
                                                             LocalizationIntersectionId lid)

### getLocalizationResourceType

    public static String getLocalizationResourceType(Connection connection,
                                                     LocalizationIntersectionId liId)

### getLocalizationResources

    public static LocalizationResource[] getLocalizationResources(Connection connection,
                                                                  LocalizationLocaleId llId)

### getPortal

    public static PortalDefinition getPortal(Connection connection,
                                             LocalizationIntersectionId lid)

### findBestMatch

    public static LocalizationLocale findBestMatch(Locale locale,
                                                   LocalizationLocale[] localizationCandidates)

### getWebAppNameForBook

    public static String getWebAppNameForBook(Connection connection,
                                              LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForPage

    public static String getWebAppNameForPage(Connection connection,
                                              LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForPortlet

    public static String getWebAppNameForPortlet(Connection connection,
                                                 LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForLayout

    public static String getWebAppNameForLayout(Connection connection,
                                                LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForLookAndFeel

    public static String getWebAppNameForLookAndFeel(Connection connection,
                                                     LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForMenu

    public static String getWebAppNameForMenu(Connection connection,
                                              LocalizationIntersectionId localizationIntersectionId)

### getWebAppNameForShell

    public static String getWebAppNameForShell(Connection connection,
                                               LocalizationIntersectionId localizationIntersectionId)

### getPortalDefinition

    public static PortalDefinition getPortalDefinition(Connection connection,
                                                       String webAppName,
                                                       PortalPath portalPath)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved